lepton-embed(1)

NAME
lepton-embed - Embed/unembed schematic components and pictures

SYNOPSIS
lepton-embed -e | -u [OPTIONS] FILE ...

DESCRIPTION
lepton-embed can embed the in-use schematic symbols and pictures into a schematic or set of schematics. It allows, for instance, putting a schematic on a website or in an email without the recipient needing to download lots of custom symbols for the design.

lepton-embed can also unembed symbol references from a schematic, but note that the symbols revert to library references; if the symbol doesn't exist in the current Lepton EDA project's library path, a broken schematic results.

OPTIONS

-e, --embed
    Embed. Without -p or -c, embed all components and pictures.

-u, --unembed
    Unembed. Without -p or -c, unembed all components and pictures.

-p, --pictures
    Process pictures only.

-c, --components
    Process components only.

-x, --suffix SUFFIX
    Do not change input files. Modified files will be saved as FILE.SUFFIX.

-V, --version
    Show version information.

-h, --help
    Show usage information.

AUTHOR
The initial program (gschlas, later renamed to lepton-schlas) has been written by Ales Hvezda <ahvezda@seul.org>. The lepton-embed Scheme script has been written by dmn <graahnul.grom@gmail.com>.

SEE ALSO
lepton-schematic(1)

COPYRIGHT
Copyright © 2012-2017 gEDA Contributors.
Copyright © 2019-2022 Lepton EDA Contributors.
License GPLv2+: GNU GPL version 2 or later. Please see the `COPYING'
file included with this program for full details.

This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.